<?php
/**
 * [BEGIN_COT_EXT]
 * Hooks=admin.home.mainpanel, admin.home.sidepanel
 * [END_COT_EXT]
 */

/**
 * plugin Admin home last comments for Cotonti Siena
 * 
 * @package lastcommentsa
 * @author esclkm
 * @copyright 
 * @license BSD
 */

// Generated by Cotonti developer tool (littledev.ru)
(defined('COT_CODE') && defined('COT_ADMIN')) or die('Wrong URL.');

if (!cot_auth('plug', 'comments', 'A')) {
    return;
}

$lcaCounter = !isset($lcaCounter) ? 1 : $lcaCounter + 1;

if (
    !($lcaCounter == 1 && Cot::$cfg['plugin']['lastcommentsa']['location'] == 'main')
    && !($lcaCounter == 2 && Cot::$cfg['plugin']['lastcommentsa']['location'] == 'side')
) {
    return;
}

require_once cot_incfile('comments', 'plug');
require_once cot_incfile('page', 'module');

$lcaCount = (int) Cot::$cfg['plugin']['lastcommentsa']['count'];
if ($lcaCount < 1) {
    return;
}

require_once cot_langfile('lastcommentsa', 'plug');

$tt = new XTemplate(cot_tplfile('lastcommentsa.admin.home', 'plug'));

$lcaComments = Cot::$db->query(
    'SELECT c.*, p.* FROM ' . Cot::$db->com . ' AS c ' .
    'LEFT JOIN ' . Cot::$db->pages . " AS p ON c.com_area = 'page' AND c.com_code = p.page_id " .
    "ORDER BY com_id DESC LIMIT $lcaCount"
)->fetchAll();

if (!empty($lcaComments)) {
    $ii = 0;
    foreach ($lcaComments as $row) {
        switch ($row['com_area']) {
            case 'page':
                $urlp = empty($row['page_alias'])
                    ? array('c' => $row['page_cat'], 'id' => $row['page_id'])
                    : array('c' => $row['page_cat'], 'al' => $row['page_alias']);
                $row['com_url'] = cot_url('page', $urlp, "#c" . $row['com_id']);
                break;

            case 'weblogs':
                $row['com_url'] = cot_url('plug', 'e=weblogs&m=page&id=' . $row['com_code'], '#c' . $row['com_id']);
                break;

            case 'gal':
                $row['com_url'] = cot_url('plug', 'e=gal&pic=' . $row['com_code'], '#c' . $row['com_id']);
                break;

            case 'users':
                $row['com_url'] = cot_url('users', 'm=details&id=' . $row['com_code'], '#c' . $row['com_id']);
                break;

            case 'polls':
                $row['com_url'] = cot_url('polls', 'id=' . $row['com_code'] . "&comments=1", '#c' . $row['com_id']);
                break;

            case 'e_shop':
                $row['com_url'] = cot_url('plug', 'e=e_shop&sh=product&productID=' . $row['com_code'], '#c' . $row['com_id']);
                break;

            default:
                $row['com_url'] = '';
                break;
        }

        $lcaFullText = strip_tags(cot_parse($row['com_text']));
        $lcaShortText = cot_cutstring($lcaFullText, 40);

        $lcaTruncate = (int) Cot::$cfg['plugin']['lastcommentsa']['truncate'];
        $lcaText = ($lcaTruncate > 0) ? cot_cutstring($lcaFullText, $lcaTruncate) : $lcaFullText;

        $deleteUrl = cot_url(
            'admin',
            ['m' => 'other', 'p' => 'comments', 'a' => 'delete', 'id' => $row['com_id'], 'x' => Cot::$sys['xk']]
        );
        $deleteConfirmUrl = cot_confirm_url($deleteUrl, 'admin');

        $lcaAuthor = cot_build_user($row['com_authorid'], $row['com_author']);

        $tt->assign([
            'ADMIN_COMMENTS_ITEM_ID' => $row['com_id'],
            'ADMIN_COMMENTS_CODE' => $row['com_code'],
            'ADMIN_COMMENTS_AREA' => $row['com_area'],
            'ADMIN_COMMENTS_AUTHOR_NAME' => $row['com_author'],
            'ADMIN_COMMENTS_AUTHOR' => $lcaAuthor,
            'ADMIN_COMMENTS_DATE' => cot_date('datetime_medium', $row['com_date']),
            'ADMIN_COMMENTS_DATE_STAMP' => $row['com_date'],
            'ADMIN_COMMENTS_TEXT' => htmlspecialchars($lcaText),
            'ADMIN_COMMENTS_TEXT_SHORT' => htmlspecialchars($lcaShortText),
            'ADMIN_COMMENTS_TEXT_FULL' => $lcaFullText,
            'ADMIN_COMMENTS_URL' => $row['com_url'],

            'ADMIN_COMMENTS_DELETE_URL' => $deleteUrl,
            'ADMIN_COMMENTS_DELETE_CONFIRM_URL' => $deleteConfirmUrl,
        ]);
        $tt->parse('MAIN.ADMIN_COMMENTS_ROW');
        $ii++;
    }
}
        $tt->assign(array(
            'ADMIN_COMMENTS_URL' => cot_url('admin', 'm=other&p=comments'),
        ));

        $tt->parse('MAIN');

        $line = $tt->text('MAIN');
